Warp (Reproject) tool not working correctly in QGIS 2.18.11

2017-08-07 07:43 AM - Mario Reyes

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:2.18.11 Regression?: No

Operating System: Windows 10 32 bits Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 24878

Description

I´ve been trying to reproject a raster using the Warp tool, but I get the message "Output driver `ESAT' not recognised or does not support

direct output file creation.". The gdalwarp code can be edited and the output changed from ESAT to GTiff, but for a novice user is not

straightforward. It works correctly with the 2.18.9 version. A similar bug was reported for the 2.18.10 version in the Clipper tool #16816

History

#1 - 2017-08-07 08:25 AM - Andre Joost

Same here.

Using gdalwarp, I select a new filename for output, then QGIS adds a -of VRT to the command line.

No matter which file type I choose in the Select dialogue, always VRT is chosen.

In the Windows registry, I found the key

HKEY_CURRENT_USER\Software\QGIS\QGIS2\GdalTools\lastRasterFileFilter

Set to Virtual Raster (*.vrt *.VRT). When I delete the key, QGIS reacts as expected, adding the correct -of ... according to the file type selection.

Maybe this key was set in a previous QGIS version, but not cleared later. Anyway, seems to be related to GdalTools, and not processing.

#2 - 2017-08-07 09:20 AM - Jürgen Fischer

- Description updated

#3 - 2017-08-07 09:24 AM - Giovanni Manghi

- Assignee deleted (Victor Olaya)

- Regression? changed from Yes to No

- Status changed from Open to Feedback

- Category changed from Processing/GDAL to GDAL Tools

Maybe this key was set in a previous QGIS version, but not cleared later. Anyway, seems to be related to GdalTools, and not processing.

yes I believe this is the explanation and fix, otherwise this can't be really replicated.
#4 - 2017-08-07 02:30 PM - Andre Joost

I suspect the error to be in 

C:\Program Files\QGIS 2.18\apps\qgis\python\plugins\GdalTools\tools\doWarp.py or GdalTools_utils.py

but since those have been removed from current master in favour of a processing plugin, I'm afraid we won't get a fix on that until QGIS 3.0.

#5 - 2017-08-07 02:33 PM - Giovanni Manghi

Andre Joost wrote:

I suspect the error to be in 

[...]

but since those have been removed from current master in favour of a processing plugin, I'm afraid we won't get a fix on that until QGIS 3.0.

you are right: gdatools is no more, the shortcuts in qgis 3 will open the Processing tools. So there will be no fixes in the old "gdal tools", unless of course

someone really want it and it available to support the work. Anyway sending a patch (via GitHub please) is always welcome.

#6 - 2017-09-25 04:33 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to wontfix

Fixes for gdaltools are not expected anymore, not even in 2.18.
